|  | Home · All Classes · Modules

# QGraphicsSceneHoverEvent Class Reference
[QtGui module]

The QGraphicsSceneHoverEvent class provides hover events in the graphics view framework. More...

Inherits QGraphicsSceneEvent.

### Methods

- __init__ (self, QEvent.Type type = QEvent.None)
- __init__ (self, QGraphicsSceneHoverEvent other)
- QPointF pos (self)
- QPointF scenePos (self)
- QPoint screenPos (self)
- setPos (self, QPointF pos)
- setScenePos (self, QPointF pos)
- setScreenPos (self, QPoint pos)

## Detailed Description

The QGraphicsSceneHoverEvent class provides hover events in the graphics view framework.

When a QGraphicsView receives a QHoverEvent event, it translates it into QGraphicsSceneHoverEvent. The event is then forwarded to the QGraphicsScene associated with the view.

See also QGraphicsSceneMouseEvent, QGraphicsSceneContextMenuEvent, QGraphicsSceneWheelEvent, and QHoverEvent.

## Method Documentation

### QGraphicsSceneHoverEvent.__init__ (self, QEvent.Type type = QEvent.None)

### QGraphicsSceneHoverEvent.__init__ (self, QGraphicsSceneHoverEvent other)

### QPointF QGraphicsSceneHoverEvent.pos (self)

Returns the position of the mouse cursor in item coordinates at the moment the the hover event was sent.

See also scenePos() and screenPos().

### QPointF QGraphicsSceneHoverEvent.scenePos (self)

Returns the position of the mouse cursor in scene coordinates at the moment the the hover event was sent.

See also pos() and screenPos().

### QPoint QGraphicsSceneHoverEvent.screenPos (self)

Returns the position of the mouse cursor in screen coordinates at the moment the the hover event was sent.

See also pos() and scenePos().

### QGraphicsSceneHoverEvent.setPos (self, QPointF pos)

### QGraphicsSceneHoverEvent.setScenePos (self, QPointF pos)

### QGraphicsSceneHoverEvent.setScreenPos (self, QPoint pos)